# Interface IRuntimeInvisibleParameterAnnotationsAttribute

All Superinterfaces:
  `IClassFileAttribute`

public interface IRuntimeInvisibleParameterAnnotationsAttribute extends IClassFileAttribute
Description of a runtime invisible parameter annotations attribute as described in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`IParameterAnnotation[]`
`getParameterAnnotations()`
Answer back the parameter annotations.
`int`
`getParametersNumber()`
Answer back the number of parameters as described in the JVM specifications.

### Methods inherited from interface IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

## Method Details

### getParametersNumber

int getParametersNumber()
Answer back the number of parameters as described in the JVM specifications.

Returns:
  the number of parameters

### getParameterAnnotations

IParameterAnnotation[] getParameterAnnotations()
Answer back the parameter annotations. Answers an empty collection if none.

Returns:
  the parameter annotations. Answers an empty collection if none.